package org.eso.util.dal;

public interface DataProductsDAO {

	/**
	 * Get cdbfile
	 * @param dpId the dpId of the file
	 */
	public String getCdbFile(String dpId) throws DAOException;
	
	/**
	 * Get dpId
	 * @param cdbfile the cdbfile of the file
	 * @return
	 */
	public String getDpId(String cdbfile) throws DAOException; 
	
	public boolean findDpId(String dpId) throws DAOException;
}
