package org.eso.util.dal;


/**
 * This class maps a record of the NgasFile table.
 * 
 * @author mpadovan
 *
 */
public class NgasFile {

	// TODO: write comments for getters and setters
	
	// TODO: remove this when done
	
	//	disk_id                        varchar                                128        NULL        NULL           0 NULL                           NULL                           NULL                                     0 
	//	file_name                      varchar                                255        NULL        NULL           0 NULL                           NULL                           NULL                                     0 
	//	file_id                        varchar                                 64        NULL        NULL           0 NULL                           NULL                           NULL                                     0 
	//	format                         varchar                                 32        NULL        NULL           0 NULL                           NULL                           NULL                                     0 
	//	file_size                      numeric                                 10          20           0           0 NULL                           NULL                           NULL                                     0 
	//	uncompressed_file_size         numeric                                 10          20           0           0 NULL                           NULL                           NULL                                     0 
	//	compression                    varchar                                 32        NULL        NULL           1 NULL                           NULL                           NULL                                     0 
	//	ingestion_date                 datetime                                 8        NULL        NULL           0 NULL                           NULL                           NULL                                     0 
	//	ignore                         tinyint                                  1        NULL        NULL           1 NULL                           NULL                           NULL                                     0 
	//	checksum                       varchar                                 64        NULL        NULL           1 NULL                           NULL                           NULL                                     0 
	//	checksum_plugin                varchar                                 64        NULL        NULL           1 NULL                           NULL                           NULL                                     0 
	//	file_version                   int                                      4        NULL        NULL           1 NULL                           NULL                           NULL                                     0 
	//	file_status                    char                                     8        NULL        NULL           1 NULL                           NULL                           NULL                                     0 
	//	creation_date                  datetime                                 8        NULL        NULL           1 NULL                           NULL                           NULL                                     0 
	
	private String diskId = null;
	private String fileName = null;
	private String fileId = null;
	private String format = null;
	private Long fileSize = null;
	private Long uncompressedFileSize = null;
	private String compression = null;
	private java.sql.Date ingestionDate = null;
	private Integer ignore = null;
	private String checksum = null;
	private String checksumPlugin = null;
	private Integer fileVersion = null;
	private String fileStatus = null;
	private java.sql.Date creationDate = null;

	public String getDiskId() {
		return diskId;
	}

	public void setDiskId(String diskId) {
		this.diskId = diskId;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFileId() {
		return fileId;
	}

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}

	public Long getFileSize() {
		return fileSize;
	}

	public void setFileSize(Long fileSize) {
		this.fileSize = fileSize;
	}

	public Long getUncompressedFileSize() {
		return uncompressedFileSize;
	}

	public void setUncompressedFileSize(Long uncompressedFileSize) {
		this.uncompressedFileSize = uncompressedFileSize;
	}

	public String getCompression() {
		return compression;
	}

	public void setCompression(String compression) {
		this.compression = compression;
	}

	public java.sql.Date getIngestionDate() {
		return ingestionDate;
	}

	public void setIngestionDate(java.sql.Date ingestionDate) {
		this.ingestionDate = ingestionDate;
	}

	public Integer getIgnore() {
		return ignore;
	}

	public void setIgnore(Integer ignore) {
		this.ignore = ignore;
	}

	public String getChecksum() {
		return checksum;
	}

	public void setChecksum(String checksum) {
		this.checksum = checksum;
	}

	public String getChecksumPlugin() {
		return checksumPlugin;
	}

	public void setChecksumPlugin(String checksumPlugin) {
		this.checksumPlugin = checksumPlugin;
	}

	public Integer getFileVersion() {
		return fileVersion;
	}

	public void setFileVersion(Integer fileVersion) {
		this.fileVersion = fileVersion;
	}

	public String getFileStatus() {
		return fileStatus;
	}

	public void setFileStatus(String fileStatus) {
		this.fileStatus = fileStatus;
	}

	public java.sql.Date getCreationDate() {
		return creationDate;
	}

	public void setCreationDate(java.sql.Date creationDate) {
		this.creationDate = creationDate;
	}
	
	@Override
	public String toString() {
		
		return	"DiskId = " + getDiskId() + ", " +
				"FileName = " +  getFileName() + ", " +
				"FileId = " +  getFileId() + ", " +
				"Format = " +  getFormat() + ", " +
				"FileSize = " +  getFileSize() + ", " +
				"UncompressedFileSize = " +  getUncompressedFileSize() + ", " +
				"Compression = " +  getCompression() + ", " +
				"IngestionDate = " +  getIngestionDate() + ", " +
				"Ignore = " +  getIgnore() + ", " +
				"Checksum = " +  getChecksum() + ", " +
				"ChecksumPlugin = " +  getChecksumPlugin() + ", " +
				"FileVersion = " +  getFileVersion() + ", " +
				"FileStatus = " +  getFileStatus() + ", " +
				"CreationDate = " +  getCreationDate();
	}
	
	/**
	 * Returns true if this instance is valid (i.e.: if all parameters that
	 * cannot be null have been initialized). 
	 * @return True if this instance is valid.
	 */
	public boolean isValid() {
		return 	getDiskId() != null &&
				getFileName() != null &&
				getFileId() != null &&
				getFormat() != null &&
				getFileSize() != null &&
				getUncompressedFileSize() != null &&
				getIngestionDate() != null;
	}
}
