package org.eso.util.dal;

/**
 * This class is used to deal with PackageInfo objects.
 *  
 * @author vforchi
 */

public interface PackageInfoDAO {
	
	public void insert(PackageInfo pkg) throws DAOException;
	
	public void insertIfNotFound(PackageInfo pkg) throws DAOException;
	
	public void delete(PackageInfo pkg) throws DAOException;
	
	public PackageInfo find(String run_id, String instrument) throws DAOException;	
	
	public Integer getPackageId(String runId, String instrument) throws DAOException;
	
}
