package org.eso.util.requesthandler;

/**
 * Implementation of a ngas file. A ngas file identifier is made of a disk id, a
 * file id, and a file version. Currently, a NgasFile instance contains the size
 * in bytes of the ngas file it represents and its status.
 * 
 * @author cmoins
 * 
 */
public class NgasFile {

    // Composite identifier of the ngas file
    private NgasFileId id;
    // Size in bytes of the file
    private Long fileSize;
    // File status
    private NgasFileStatus fileStatus;

    public Long getFileSize() {
        return fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    public NgasFileId getId() {
        return id;
    }

    public void setId(NgasFileId id) {
        this.id = id;
    }

    public NgasFileStatus getFileStatus() {
        return fileStatus;
    }

    public void setFileStatus(NgasFileStatus fileStatus) {
        this.fileStatus = fileStatus;
    }

}
