/**
 * @author N. Kornweibel
 * @version 1.0
 * A simple interface to encalsulate the generation of observation descriptions
 * in the DataModel.
 */
package org.eso.gasgano.datamodel;

import org.eso.gasgano.datamodel.gui.OBComponent;

public interface ObservationDescription {

    /**
     * @param o The Observation whose description is to be set.
     * @param obc The OBComponent which triggered the creation of the
     * Observation in the DataModel.
     */
    public void setDescription(Observation o, OBComponent obc);
}
// end of file ObservationDescription.java.
