package org.eso.cpl.test;

import javax.swing.JFrame;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

import org.eso.cpl.CPLException;
import org.eso.cpl.RecipeLibrary;
import org.eso.cpl.gui.CPLFrame;
import org.eso.cpl.jni.LTDLException;
import org.eso.cpl.jni.LibraryLoader;

/**
 * Test.
 * <p>
 * $Id: CPLFrameTest.java,v 1.3 2007/02/20 13:37:10 dsforna Exp $
 * @author   Mark Taylor
 */
public class CPLFrameTest extends TestCase {

    private RecipeLibrary[] libs;

    public CPLFrameTest(String name) {
        super(name);
    }

    public void testCPLFrame() throws CPLException, LTDLException {
        CPLFrame cf = new CPLFrame(null);
        cf.setLibraryLoader(new LibraryLoader());
        cf.setSingleRequest(JNICPLTest.getMasterBiasRequest());
        cf.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        cf.setVisible(true);
    }

    public static TestSuite suite() {
        return new TestSuite(CPLFrameTest.class);
    }

    public static void main(String[] args) {
        TestRunner.run(suite());
    }
}
