package org.eso.cpl.test;

import javax.swing.Icon;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

import org.eso.cpl.gui.Icons;

/**
 * Test.
 * <p>
 * $Id: IconsTest.java,v 1.4 2007/02/20 13:37:10 dsforna Exp $
 * @author   Mark Taylor
 */
public class IconsTest extends TestCase {

    public IconsTest(String name) {
        super(name);
    }

    public void testIcons() {
        checkIcon(Icons.ARROW_EES);
        checkIcon(Icons.ARROW_ES);
        checkIcon(Icons.ARROW_SE);
        checkIcon(Icons.ARROW_S);
        checkIcon(Icons.ARROW_WS);
        checkIcon(Icons.EXECOK);
        checkIcon(Icons.EXECERR);
    }

    private void checkIcon(Icon icon) {
        int h = icon.getIconHeight();
        int w = icon.getIconHeight();
        assertTrue(h > 1);
        assertTrue(w > 1);
        assertTrue(h < 10000);
        assertTrue(w < 10000);
    }

    public static TestSuite suite() {
        return new TestSuite(IconsTest.class);
    }

    public static void main(String[] args) {
        TestRunner.run(suite());
    }
}
