package org.eso.oca.dal;

/**
 * This class represents the meta-data of a database column.
 * 
 * @author szampier
 *
 */
public class ColumnMetaData {
	/** The column name. */
	String columnName;
	
	/** The column type. */
	int type;
	
	/** The columns type name. */
	String typeName;
	
	/** The keyword name. */
	String keywordName;
	
	/**
	 * Returns a string representation of this object.
	 */
	public String toString() {
		StringBuffer buf = new StringBuffer();

		buf.append("[ColumnName=" + columnName + "; ");
		buf.append("Type=" + type + "; ");
		buf.append("TypeName=" + typeName + "]");

		return buf.toString();
	}

	public synchronized String getColumnName() {
		return columnName;
	}

	public synchronized void setColumnName(String columnName) {
		this.columnName = columnName;
	}

	public synchronized int getType() {
		return type;
	}

	public synchronized void setType(int type) {
		this.type = type;
	}

	public synchronized String getTypeName() {
		return typeName;
	}

	public synchronized void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public synchronized String getKeywordName() {
		return keywordName;
	}

	public synchronized void setKeywordName(String keywordName) {
		this.keywordName = keywordName;
	}
}
