package org.eso.oca.dal;

/**
 * This class represents the meta-data of a database table.
 * 
 * @author szampier
 *
 */
public class TableMetaData {
	/** The table name. */
	String name;
	
	/** The table columns. */
	ColumnMetaData[] columns;

	/**
	 * Returns a string representation of this object.
	 */
	public String toString() {
		StringBuffer buf = new StringBuffer();

		buf.append("[TableName=" + name + "]\n");
		for (int i = 0; i < columns.length; ++i) {
			buf.append(columns[i].toString() + "\n");
		}
		return buf.toString();
	}
}
