create table #test_instrument ( dp_id varchar(50), test_kw1 varchar(50), test_kw2 varchar(50), 	primary key(dp_id))
create table #test_data_products ( dp_id varchar(50), tdpr_testkw1 varchar(50),	tdpr_testkw2 varchar(50),	primary key(dp_id))
insert into #test_instrument (dp_id,test_kw1,test_kw2)	values ('GIRAF.1950-01-01T12:00:00.000' , 'BIAS' ,'MED')
insert into #test_instrument (dp_id,test_kw1,test_kw2)	values ('GIRAF.1950-01-02T12:00:00.000' , 'BIAS' ,'OBS')
insert into #test_data_products (dp_id,tdpr_testkw1,tdpr_testkw2) values ('GIRAF.1950-01-02T12:00:00.000' , 'BIAS' ,'OBS')
insert into #test_data_products (dp_id,tdpr_testkw1,tdpr_testkw2) values ('GIRAF.1950-01-03T12:00:00.000' , 'BIAS' ,'ARG')
insert into #test_data_products (dp_id,tdpr_testkw1,tdpr_testkw2) values ('GIRAF.1950-01-04T12:00:00.000' , 'OBS' ,'ARG')
insert into data_products (dp_id)	values ('GIRAF.1950-01-01T12:00:00.000')
insert into data_products (dp_id)	values ('GIRAF.1950-01-02T12:00:00.000')
insert into data_products (dp_id)	values ('GIRAF.1950-01-03T12:00:00.000')
insert into data_products (dp_id)	values ('GIRAF.1950-01-04T12:00:00.000')
insert into obs_tables (name,instrume) values ('#test_data_products','TEST_INSTRUMENT')
insert into obs_tables (name,instrume) values ('#test_instrument','TEST_INSTRUMENT')
insert into obs_columns (tname,name,type,length,keyword) 	values	( '#test_data_products' , 'tdpr_testkw1' ,'int',4  , 'HIERARCH ESO TDPR TESTKW1'   )
insert into obs_columns (tname,name,type,length,keyword) 	values	( '#test_data_products' , 'tdpr_testkw2' ,'int',4  , 'HIERARCH ESO TDPR TESTKW2'   )
insert into obs_columns (tname,name,type,length,keyword) 	values	( '#test_instrument' , 'test_kw1' ,'int',4  , 'HIERARCH ESO TEST KW1'   ) 	
insert into obs_columns (tname,name,type,length,keyword) 	values	( '#test_instrument' , 'test_kw2' ,'int',4  , 'HIERARCH ESO TEST KW2'   ) 	
