package org.eso.util.dal;

import org.apache.log4j.Logger;


public class DefaultTransferRequestValidator implements
        TransferRequestValidator {

    /** The Log4j logger */
    static Logger logger =
            Logger.getLogger(DefaultTransferRequestValidator.class);

    /**
     * Returns true if all the mandatory keywords are present in the given
     * TransferRequest. False otherwise.
     */
    public boolean isValid(TransferRequest tr) {
        boolean ret = true;
        
        ret = (tr.getFileId() !=null) && (tr.getFileName() != null) 
        && (tr.getSize() != null);
        
        return ret;
    }

}
