package org.eso.cpl.test;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

import org.eso.cpl.jni.LTDLException;
import org.eso.cpl.jni.LibraryLoader;

/**
 * Simple test which checks that the javacpl system sets itself up properly.
 * In particular native code is loaded and initialized.
 * <p>
 * $Id: BasicTest.java,v 1.3 2007/02/20 13:37:10 dsforna Exp $
 * @author   Mark Taylor
 */
public class BasicTest extends TestCase {

    public BasicTest(String name) {
        super(name);
    }

    public void testInitialization() throws LTDLException {
        LibraryLoader loader = new LibraryLoader();
    }

    public static TestSuite suite() {
        return new TestSuite(BasicTest.class);
    }

    public static void main(String[] args) {
        TestRunner.run(suite());
    }
}
